package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * TagRespOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class TagRespOpenApiVo   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("tagId")
  private String tagId;

  public TagRespOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Tag name
   * @return name
  */
  @ApiModelProperty(value = "Tag name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public TagRespOpenApiVo tagId(String tagId) {
    this.tagId = tagId;
    return this;
  }

  /**
   * Tag ID
   * @return tagId
  */
  @ApiModelProperty(value = "Tag ID")


  public String getTagId() {
    return tagId;
  }

  public void setTagId(String tagId) {
    this.tagId = tagId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TagRespOpenApiVo tagRespOpenApiVo = (TagRespOpenApiVo) o;
    return Objects.equals(this.name, tagRespOpenApiVo.name) &&
        Objects.equals(this.tagId, tagRespOpenApiVo.tagId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, tagId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TagRespOpenApiVo {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    tagId: ").append(toIndentedString(tagId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

